Module java.desktop
Package java.awt

# Class PointerInfo

java.lang.Object
java.awt.PointerInfo

public class PointerInfo extends Object
A class that describes the pointer position. It provides the `GraphicsDevice` where the pointer is and the `Point` that represents the coordinates of the pointer.

Instances of this class should be obtained via `MouseInfo.getPointerInfo()`. The `PointerInfo` instance is not updated dynamically as the mouse moves. To get the updated location, you must call `MouseInfo.getPointerInfo()` again.

Since:
  1.5
See Also:
  `MouseInfo.getPointerInfo()`

## Method Summary

Modifier and Type
Method
Description
`GraphicsDevice`
`getDevice()`
Returns the `GraphicsDevice` where the mouse pointer was at the moment this `PointerInfo` was created.
`Point`
`getLocation()`
Returns the `Point` that represents the coordinates of the pointer on the screen.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDevice

public GraphicsDevice getDevice()
Returns the `GraphicsDevice` where the mouse pointer was at the moment this `PointerInfo` was created.

Returns:
  `GraphicsDevice` corresponding to the pointer
Since:
  1.5

### getLocation

public Point getLocation()
Returns the `Point` that represents the coordinates of the pointer on the screen. See `MouseInfo.getPointerInfo()` for more information about coordinate calculation for multiscreen systems.

Returns:
  coordinates of mouse pointer
Since:
  1.5
See Also:
  `MouseInfo`, `MouseInfo.getPointerInfo()`